Make your own free website on Tripod.com

Installation Requirements

Required Items
How to find out what you have

Note

For information on installing all the required programs, along with other optional programs that can enhance Gallery, see the installing required programs guide.

Required Items

  • Apache 1.x, 2.x or Zeus web server

    Our primary development and testing is on the Apache web server on Unix. Our user base includes:

    • Apache 1.x and 2.x on Linux, FreeBSD, Solaris, HP-UX, NetBSD, OpenBSD, Mac OS X

    • Zeus Web Server on Linux and HP-UX 11

    • Apache 1.x and 2.x on Windows 2000, Windows NT and Windows XP

    Users have experienced a great deal of difficulty getting Gallery to run properly on Win95, Win98, WinME or using IIS4.0/5.0. As a result, we do not support those platforms.

    Apache2 Note: The first correctly functioning version of PHP on Apache2 is PHP 4.3.0. If you're having problems on Apache2 and you're not running PHP 4.3.0, you must upgrade (or ask your host to upgrade), until then we cannot help you.

  • PHP 4

    PHP is a web server module that allows you to create applications using an embedded scripting language. If you don't yet have a web host and are looking for one, check their site to see what their features and software include. If you don't see PHP listed, write and ask if they support PHP (while you are at it, make sure they run it with safe mode OFF). You need PHP to run Gallery.

    Run your own server? If you're on a Unix box, the odds are good that you'll be able to download PHP easily in either source or binary form for your system. As of this writing, Gallery requires PHP version 4.0.4pl1 or more recent. It has been tested on versions of PHP up to 4.2.2

    PLEASE NOTE: Your PHP installation must not be in safe mode. Gallery is a sophisticated application and its operations require extensive privileges. Safe mode prevents Gallery from functioning properly.

  • mod_rewrite (optional)

    mod_rewrite is an Apache module that lets web server applications do clever things with URLs. Gallery uses this module to allow it to use short URLs. In other words, you see this:

    http://www.example.com/photos/cole-earlydays/aga

    instead of this:

    http://www.example.com/photos/view_photo.php?set_albumName=cole-earlydays&id=aga

    Obviously the shorter one is easier to remember and nicer to use when sending links to friends and family. Unfortunately, if you don't own the web server then it may be difficult or impossible to enable mod_rewrite, but you can always write your host and ask.

  • NetPBM or ImageMagick

    Gallery requires an image manipulation program to do certain operations with images. Please install either NetPBM or ImageMagick before trying to install Gallery. See this installation guide for information.

How to find out what you have

To find out which version of Apache and PHP is installed on your webspace (or server), use the phpinfo.php file in the setup directory of Gallery to display this information, by typing the following in your browser window:

http://www.example.com/gallery/setup/phpinfo.php

This file is accessible only when Gallery is still in configure mode (or freshly copied to the server).